function bsl_contains(arr, obj) {
    //while
    var i = arr.length;
    while(i--) {
        if(arr[i] === obj) {
            return i;
        }
    }
    return -1;
}


function BSLJSBridge(msg) {

    //对象的属性个数
    var len = Object.keys(msg).length;


    var arg = ''; //方法参数字符串形式
    var count = 0; //有几个方法参数

    var js;
    for (var i in msg) {
        count++;
        if (i != 'methodName') {
            arg += "'" + msg[i] + "'";
            if (count < len) {
                arg += ','
            }
        }
    };

    var filterFuntion = ['login', 'share', 'shareImage', 'shareCutImage','ShareImgWithTxt']
    if (bsl_contains(filterFuntion,msg.methodName) > -1) {
        arg = JSON.stringify(msg);
        js = 'javascript:local_kingkr_obj.' + msg.methodName + '(' + "'" + arg + "'" + ')';


    } else {

        if (len > 1) {


            js = "javascript:local_kingkr_obj." + msg.methodName + "(" + arg + ")";
        } else {
            js = 'javascript:local_kingkr_obj.' + msg.methodName + '()';
        }
    }
    console.log(js);
    eval(js);

}



!
function(a) {
	a();
} (function() {
	var H;
	H = {
		Login: function(platform, forwardurl, callbackMethod) { //登录
			var message = {
				methodName: 'login',
				platform: platform,
				forwardurl: forwardurl,
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		Pay: function(order, paytype, callbackMethod) { //支付
			var message = {
				methodName: 'pay',
				order: order,
				paytype: paytype,
				callbackMethod: callbackMethod
			}
			BSLJSBridge(message);
		},
		WXPay: function(ProductName, Desicript, Price, OuttradeNo,attach, callbackMethod) { //支付
        		window.local_kingkr_obj.wxPay(ProductName, Desicript, Price, OuttradeNo,attach,callbackMethod)
        		},
		CopyText: function(txt) { //拷贝文字
			var message = {
				methodName: 'copyText',
				content: txt
			};
			BSLJSBridge(message);
		},
		Share: function(content, imageurl, targetUrl, title, callbackMethod) { //分享
			var message = {
				methodName: 'share',
				content: content,
				imageurl: imageurl,
				targetUrl: targetUrl,
				'title': title,
				'callbackMethod': callbackMethod
			};
			BSLJSBridge(message);
		},

		ShareImg: function(imageurl, callbackMethod) { //分享图片
			var message = {
				methodName: 'shareImage',
				imageurl: imageurl,
				callbackMethod: 'shareCallback'
			};
			BSLJSBridge(message);
		},
		ShareImgWithTxt: function(platform,content, imageurl, targetUrl, title, callbackMethod) { //分享
                			var message = {
                				methodName: 'share',
                				platform:platform,
                				content: content,
                				imageurl: imageurl,
                				targetUrl: targetUrl,
                				'title': title,
                				'callbackMethod': callbackMethod
                			};
                			BSLJSBridge(message);
                		},
		ShareImgByPlatfrom: function(platform,imageurl, callbackMethod) { //分享图片
        			var message = {
        				methodName: 'shareImageByPlatform',
        				platform:platform,
        				imageurl: imageurl,
        				callbackMethod: callbackMethod
        			};
        			BSLJSBridge(message);
        		},
        		ShareCImgByPlatform: function(platform,callbackMethod) { //分享截图
                			var message = {
                				methodName: 'shareCutImage',
                				platform:platform,
                				callbackMethod: callbackMethod
                			};
                			BSLJSBridge(message);
                		},
		ShareCImg: function(callbackMethod) { //分享截图
			var message = {
				methodName: 'shareCutImage',
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		ShareMultiImage: function(data,description) {

			local_kingkr_obj.shareMultiImage(data,description)

		},
		ShareMultiImageToSome: function(data) {

        	local_kingkr_obj.shareMultiImageToSome(data)
        },

		CCache: function() { //清除缓存
			var message = {
				methodName: 'cleanCache'
			};
			BSLJSBridge(message);
		},
		Qcode: function(resulttype, callbackMethod) { //二维码。
			var message = {
				methodName: 'qrcoder',
				controlQRCodeResult: resulttype,
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		AppBottom: function(param, isLong) { //控制底部菜单栏
			if (param == null) var message = {
				methodName: 'controlBottomTabLayout',
				isLong:isLong
			};
			else var message = {
				methodName: 'controlBottomTabLayout',
				show: '' + param + '',
				isLong:isLong
			};
			BSLJSBridge(message);
		},
		AppTop: function(param, isLong) { //控制顶部导航栏
			if (param == null) var message = {
				methodName: 'controllNavigateLayout',
				isLong:isLong
			};
			else var message = {
				methodName: 'controllNavigateLayout',
				show: '' + param + '',
				isLong:isLong
			};
			BSLJSBridge(message);
		},
		AppLeft: function(state) { //控制左栏
			var message = {
				'methodName': 'controlLeftMenuLayout',
				'show': state
			};
			BSLJSBridge(message);
		},
		AppTopL: function(fun, imageUrl) { //设置导航栏左按钮功能
			var message = {
				methodName: 'ctrlNavLeftBtnFun',
				funcNum: fun,
				buttonImage: imageUrl,
				isLong:''
			};
			BSLJSBridge(message);
		},
		AppTopL: function(fun, imageUrl, isLong) { //设置导航栏左按钮功能
        			var message = {
        				methodName: 'ctrlNavLeftBtnFun',
        				funcNum: fun,
        				buttonImage: imageUrl,
        				isLong:isLong
        			};
        			BSLJSBridge(message);
        		},
		AppTopR: function(fun, imageUrl) { //设置导航栏右按钮功能
			var message = {
				methodName: 'ctrlNavRightBtnFun',
				funcNum: fun,
				buttonImage: imageUrl,
				isLong:''
			};
			BSLJSBridge(message);
		},
		AppTopR: function(fun, imageUrl, isLong) { //设置导航栏右按钮功能
        			var message = {
        				methodName: 'ctrlNavRightBtnFun',
        				funcNum: fun,
        				buttonImage: imageUrl,
        				isLong:isLong
        			};
        			BSLJSBridge(message);
        		},
		PhoneID: function(callbackMethod) { //获取设备标识符
			var message = {
				methodName: 'getDeviceIdentifier',
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		AppScreen: function(orientation) { //控制屏幕方向
			var message = {
				methodName: 'setScreenOrientation',
				orientation: orientation
			};
			BSLJSBridge(message);
		},
		CopyUrl: function() //复制当前页地址，是否添加回调呢？
		{
			var message = {
				methodName: 'copyUrlToClipboard'
			};
			BSLJSBridge(message);
		},
		OpenWeb: function(url) { //浏览器打开当前页面
			if (url == '' || url == 'undefined') {
				url='';
			}
				var message = {
					methodName: 'awakeOtherWebview',
					webviewUrl: url
				}
				BSLJSBridge(message);
		},
		JPushTag: function(tag, callbackmethod) { //注册推送tag
			if (tag == '') {
				return false;
			}
			var message = {
				methodName: 'registerPushTag',
				tag: tag,
				callbackMethod: callbackmethod
			};
			BSLJSBridge(message);
		},
		Build: function(callbackmethod) //获取Build值，自定义回调函数？
		{
			var message = {
				methodName: 'getBuild',
				callbackMethod: callbackmethod
			}
			BSLJSBridge(message);
		},
		GPS: function(callbackMethod) { //定位

            local_kingkr_obj.getLocation(0,callbackMethod);
		},
		StartGPS: function(callbackMethod,time) { //定位

                    local_kingkr_obj.getLocation(time,callbackMethod);
        },
		StopGPS:function(){ //停止定位
		    local_kingkr_obj.getLocation(-1,'');
		},

		checkApp: function(appID, callbackMethod) { //检查app是否存在返回1，不存在0
			var message = {
				methodName: 'checkAppInstalled',
				callbackMethod: callbackMethod,
				appID: appID
			}
			BSLJSBridge(message);
		},
		openApp: function(appID, callbackMethod) //打开app
		{
			var message = {
				methodName: 'openApp',
				appID: appID,
				callbackMethod: callbackMethod
			}
			BSLJSBridge(message);
		},
		touchID: function(callbackMethod) { //验证指纹，成功1，失败0
			var message = {
				methodName: 'fingerprint',
				callbackMethod: callbackMethod
			}
			BSLJSBridge(message);
		},
		WifiSsid: function(callbackMethod) { //获取WiFi名称
			var message = {
				methodName: 'getWifiSSID',
				callbackMethod: callbackMethod
			}
			BSLJSBridge(message);
		},

		SetBrightness: function(value,isSys) {
			var message = {
				methodName: 'setBrightness',
				brightness: value,
				isSys     : isSys
			}
			BSLJSBridge(message);
		},
		checkBDMap: function(callbackMethod) //检查是否安装百度地图
		{
			var message = {
				methodName: 'checkBDMap',
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		//打开百度地图并导
		openBDMap: function(callbackMethod) {
			var message = {
				methodName: 'openBDMap',
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		//打开百度地图并导航
		navBDMap: function(startlat, startlon, endlat, endlon, callbackMethod) {
			var message = {
				methodName: 'navBDMap',
				startlat: startlat,
				startlon: startlon,
				endlat: endlat,
				endlon: endlon,
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},

		checkGDMap: function(callbackMethod) //检查是否安装的高德
		{
			var message = {
				methodName: 'checkGDMap',
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		//打开高德地图并导航
		openGDMap: function(callbackMethod) {
			var message = {
				methodName: 'openGDMap',
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		//打开高德地图并导航（起点维度，起点经度，终点维度，终点经度）
		navGDMap: function(startlat, startlon, endlat, endlon, callbackMethod) {
			var message = {
				methodName: 'navGDMap',
				startlat: startlat,
				startlon: startlon,
				endlat: endlat,
				endlon: endlon,
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		checkGGMap: function(callbackMethod) //检查是否安装谷歌地图
		{
			var message = {
				methodName: 'checkGGMap',
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		//打开谷歌地图
		openGGMap: function(callbackMethod) {
			var message = {
				methodName: 'openGGMap',
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		//打开谷歌地图并导航（起点维度，起点经度，终点维度，终点经度）
		navGGMap: function(startlat, startlon, endlat, endlon, callbackMethod) {
			var message = {
				methodName: 'navGGMap',
				startlat: startlat,
				startlon: startlon,
				endlat: endlat,
				endlon: endlon,
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		checkTXMap: function(callbackMethod) //检查是否安装腾讯地图
		{
			var message = {
				methodName: 'checkTXMap',
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		//打开腾讯地图
		openTXMap: function(callbackMethod) {
			var message = {
				methodName: 'openTXMap',
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		//打开腾讯地图并导航（起点维度，起点经度，终点维度，终点经度）
		navTXMap: function(startlat, startlon, endlat, endlon, callbackMethod) {
			var message = {
				methodName: 'navTXMap',
				startlat: startlat,
				startlon: startlon,
				endlat: endlat,
				endlon: endlon,
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		navMap:function(startlat,startlon,endlat,endlon,startName, endName,callbackMethod,mapType)
           {
               var message = {methodName:'navMap',
               startlat:startlat,startlon:startlon,endlat:endlat,endlon:endlon,
               startName:startName,endName:endName,callbackMethod:callbackMethod,mapType:mapType};
               BSLJSBridge(message);
           },
           openMap:function(callbackMethod,mapType)
              {
                  var message = {methodName:'openMap',callbackMethod:callbackMethod,mapType:mapType};
                  BSLJSBridge(message);
              },
           checkMap:function(callbackMethod,mapType)
              {
                  var message = {methodName:'checkMap',callbackMethod:callbackMethod,mapType:mapType};
                  BSLJSBridge(message);
              },

		hideStateBar:function(hidden)//隐藏状态栏（hidden：yes（1）显示 ，（0）no隐藏）
               {
                   var message = {methodName:'hideStateBar',hidden:hidden,isLong:''};
                   BSLJSBridge(message);
               },
               hideStateBar:function(hidden,isLong)//隐藏状态栏（hidden：yes（1）显示 ，（0）no隐藏）
                              {
                                  var message = {methodName:'hideStateBar',hidden:hidden,isLong:isLong};
                                  BSLJSBridge(message);
                              },
               getClipboard:function(callbackMethod)//获取粘贴板内容
               {
                   var message = {methodName:'getClipboardText',callbackMethod:callbackMethod};
                   BSLJSBridge(message);
               },
               checkWX:function(callbackMethod)//检查微信是否安装
               {
                   var message = {methodName:'checkWX',callbackMethod:callbackMethod};
                   BSLJSBridge(message);
               },
               checkZFB:function(callbackMethod)//检查支付宝是否安装
               {
                   var message = {methodName:'checkZFB',callbackMethod:callbackMethod};
                   BSLJSBridge(message);
               },
               cacheSize:function(callbackMethod)//检测缓存大小(带单位),
               {
                   var message = {methodName:'getCacheSize',callbackMethod:callbackMethod};
                   BSLJSBridge(message);
               },
               tabbarColor:function(color, isLong)//修改tabbar的背景颜色
               {
                   var message = {methodName:'tabbarColor',color:color, isLong};
                   BSLJSBridge(message);

               },
               navbarColor:function(color, isLong)//修改navbar的背景颜色（
               {
                   var message = {methodName:'navbarColor',color:color,isLong:isLong};
                   BSLJSBridge(message);

               },
               downRefresh:function(open)//关闭打开下拉刷新 1.可用 0：不可用
               {
                   var message = {methodName:'downRefresh',open:open,isLong:''};
                   BSLJSBridge(message);
               },
               downRefresh:function(open, isLong)//关闭打开下拉刷新 1.可用 0：不可用
                              {
                                  var message = {methodName:'downRefresh',open:open,isLong:isLong};
                                  BSLJSBridge(message);
                              },
               netWorkState:function(callbackMethod)
               {
                   var message = {methodName:'netWorkState',callbackMethod:callbackMethod};
                   BSLJSBridge(message);
               },
               msgRing:function()//调用系统通知铃声
               {
                   var message = {methodName:'msgRing'};
                   BSLJSBridge(message);
               },
               getVolume:function(callbackMethod)//系统体音量大小
               {
                   var message = {methodName:'getVolume',callbackMethod:callbackMethod};
                   BSLJSBridge(message);
               },
               setVolume:function(value)//设置系统音量(value 范围值0~1)
                      {
                          var message = {methodName:'setVolume',volume:value};
                          BSLJSBridge(message);
               },
               getAVVolume:function(callbackMethod){
                     var message = {methodName:'getMusicVolume',callbackMethod:callbackMethod};
                     BSLJSBridge(message);
               },
               setAVVolume:function(value)//设置系统音量(value 范围值0~1)
               {
                   var message = {methodName:'setMusicVolume',volume:value};
                   BSLJSBridge(message);
               },
               ChangeTabbar:function(json)//js改变菜单栏item
               {
                   var message = {methodName:'setBottomMenu',volume:json};
                   BSLJSBridge(message);
               },
               SetTitleName:function(value, color)//js改变标题
               {
                   var message = {methodName:'setTitleName',volume:value,color:color};
                   BSLJSBridge(message);
               },
               SetTitleName:function(value)//js改变标题  下版本删除
                              {
                                  var message = {methodName:'setTitleName',volume:value,color:''};
                                  BSLJSBridge(message);
                              },
               SetNavBarAlpha:function(value, isLong)//js改变导航栏透明度
               {
                   var message = {methodName:'setNavBarAlpha',volume:value,isLong:isLong};
                   BSLJSBridge(message);
               },
               SetTabbarAlpha:function(value, isLong)//js改变菜单栏透明度
               {
                   var message = {methodName:'setTabbarAlpha',volume:value,isLong:isLong};
                   BSLJSBridge(message);
               },
               GetBrightness:function(callbackMethod)//js获取当前屏幕亮度
               {
                   var message = {methodName:'getBrightness', callbackMethod:callbackMethod};
                   BSLJSBridge(message);
               },
               GetContact:function(callbackMethod)//js获取单个联系人
               {
                   var message = {methodName:'getSingleContacts', callbackMethod:callbackMethod};
                   BSLJSBridge(message);
               },
               GetAllContact:function(callbackMethod)//js获取全部联系人
               {
                   var message = {methodName:'getAllContacts', callbackMethod:callbackMethod};
                   BSLJSBridge(message);
               },
               SetJsClose:function()//js关闭App
               {
                   var message = {methodName:'setJsClose'};
                   BSLJSBridge(message);
               },
               PhoneInfo:function(callbackMethod)//获取手机信息
               {
                   var message = {methodName:'setJsPhoneInfo', callbackMethod:callbackMethod};
                   BSLJSBridge(message);
               },
               AddContact:function(json, callbackMethod){//添加联系人
                   var message = {methodName:'addContact',
                   json:json,
                   callbackMethod:callbackMethod};
                   BSLJSBridge(message);
               },
               GetVersion:function(callbackMethod)//获取版本名称  1.0.0
               {
                   var message = {methodName:'getVersionName', callbackMethod:callbackMethod};
                   BSLJSBridge(message);
               },
               GetNetType:function(callbackMethod)//获取网络链接类型
               {
                   var message = {methodName:'getNetType', callbackMethod:callbackMethod};
                   BSLJSBridge(message);
               },
               MonitorNetWork:function(callbackMethod)//打开网络监听
               {
                    var message = {methodName:'openNetListen', callbackMethod:callbackMethod};
                    BSLJSBridge(message);
               },
               DownloadFile:function(data,callbackMethod) //文件下载
               {
                    var message = {methodName:'downloadFile', data:data,callbackMethod:callbackMethod};
                    BSLJSBridge(message);
               },
               DownloadFileByPath:function(data,path,callbackMethod) //文件下载
               {
                    local_kingkr_obj.downloadFile(data,path,callbackMethod);

               },
               CloseMonitorNetWork:function()
               {
                    var message = {methodName:'closeNetListen'};
                    BSLJSBridge(message);
               },
               OpenBrowser:function(callbackMethod,type,url)//指定浏览器打开
               {
                    var message = {methodName:'openBrowser',callbackMethod:callbackMethod,type:type,url:url};
                    BSLJSBridge(message);
               },
               OpenVideo:function(url,title)      //js打开视频
               {
                     var message = {methodName:'openVideo', url:url,title:title};
                     BSLJSBridge(message);
               },
               KeepBright:function(flag)//控制屏幕长亮
               {
                    var message = {methodName:'keepBright', flag:flag};
                    BSLJSBridge(message);
               },
               ShowImages:function(urls,titles,orientation)      //js图片浏览
               {
//                     var message = {methodName:'showImages', url:urls,titles:titles};
//                     BSLJSBridge(message);
                    local_kingkr_obj.showImages(urls,titles,orientation);
               },
               ControlScreenshot:function(flag)//控制截屏
               {
                    var message = {methodName:'controlScreenshot', flag:flag};
                    BSLJSBridge(message);
               },
               Screenshot(start,callbackMethod){
                    local_kingkr_obj.screenshortLinstener(start,callbackMethod);
               },
               Vibrator()
               {
                    local_kingkr_obj.vibrator();
               },
               AudioPlayBG:function(flag)//控制音频后台播放
               {
                    var message = {methodName:'audioBackstage', flag:flag};
                    BSLJSBridge(message);
               },
               SlideHideNav:function(flag)//开关导航栏滑动隐藏
               {
                    var message = {methodName:'controlNavBarHide', flag:flag};
                    BSLJSBridge(message);
               },
               SlideHideTab:function(flag)//滑动隐藏显示菜单栏开关
               {
                    var message = {methodName:'controlTabBarHide', flag:flag};
                    BSLJSBridge(message);
               },
               ControlSlide:function(type)//左右滑动功能控制
               {
                    var message = {methodName:'controlSlide', type:type};
                    BSLJSBridge(message);
               },
               GetToken:function(callbackMethod)
               {
                    var message = {methodName:'getToken', callbackMethod:callbackMethod};
                    BSLJSBridge(message);
               },
               CheckBiometrics:function(callbackMethod)
               {
                    var message = {methodName:'checkFingerprint', callbackMethod:callbackMethod};
                    BSLJSBridge(message);
               },
               OpenXCX:function(id,path,type,callbackMethod){
                    local_kingkr_obj.openXCX(id,path,type,callbackMethod);
               },
               ShareMusic:function(platform,title,description,imageUrl,musicUrl,targetUrl,callbackMethod){
                    local_kingkr_obj.shareMusic(platform,title,description,imageUrl,musicUrl,targetUrl,callbackMethod);
               },
               ShareVideo:function(platform,title,description,imageUrl,musicUrl,callbackMethod){
                    local_kingkr_obj.shareVideo(platform,title,description,imageUrl,musicUrl,callbackMethod);
               },
               GetStepCount:function(callbackMethod)//获取步数
               {
                    local_kingkr_obj.getStepNum(callbackMethod);
               },
               OpenStep:function(){
                    local_kingkr_obj.openStep();
               },
               CloseStep:function(){
                    local_kingkr_obj.closeStep();
               },
               QrPhoto:function(type,callbackMethod){
                    local_kingkr_obj.qrPhoto(type,callbackMethod);
               },
               QrUrl:function(type,url,callbackMethod){
                    local_kingkr_obj.qrUrl(type,url,callbackMethod);
               },
               CleanData:function(){
                    local_kingkr_obj.cleanData();
               },
               IsOpenNotice:function(callbackMethod){
                    local_kingkr_obj.isOpenNotice(callbackMethod);
               },
               CreateWindow:function(url){
                  local_kingkr_obj.createWindows(url);
               },
               CloseTopWindow:function(){
                    local_kingkr_obj.closeTopWindow();
               },
               CloseTopWindowRefresh:function(){
                    local_kingkr_obj.closeTopWindowRefresh();
               },
               CheckFirstInstall:function(callbackMethod){
               local_kingkr_obj.isFirstInstall(callbackMethod);
               }


	};
	BSL = H;

});
function intercept_body(e){
            if(!e){
                var e = window.event;
            }
            //获取事件点击元素
            var targ = e.target;
            //获取元素名称
            var tname = targ.tagName;
            alert(tname);
        }

function iframes(){
     var iframes = document.getElementsByTagName('iframe');
    console.log(iframes);
        for(var i=0;i < iframes.length;i++) {
            iframes[i].contentWindow.BSL = BSL;
//            iframes[i].contentWindow.IframeVideo = IframeVideo;
        }
}
iframes();


